import QtQuick 2.12
import QtQuick.Window 2.12
import QtQuick.Controls 2.12

Window {
    visible: true
    width:300
    height: 300
    title: qsTr("Hello World")

    Text {
        id: text
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.leftMargin: 20
        anchors.rightMargin: 20

        anchors.top: parent
        wrapMode: Text.Wrap

        font.family: "Segoe UI"
        font.pixelSize: 12
        text: "Repro: \n 1. Click the yellow QSystemTrayIcon.\n 2. The Flyout animation (and spinner animation) will freeze before reaching final position. \n 3. Hovering the mouse over either window will trigger the animation to continue. \n\n Only reproes from systray click - reproes about 2 out of 3 clicks. \n Click button below to see how it's supposed to behave"
    }

    Button {
        id: launchButton
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 10
        anchors.horizontalCenter: parent.horizontalCenter
        onClicked: model.launchFlyout();

        text: "Working flyout animation"
    }
}
